<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Vzdelavanie\Dtos\Kniznica;

use Kalnoy\Nestedset\Collection;
use Seka\Portal\Modul\Vzdelavanie\Models\Kniznica\Sekcia;

/**
 * Class SekciaCollectionDTO
 *
 * @package Seka\Portal\Modul\Vzdelavanie\Dtos\Kniznica
 */
final class SekciaCollectionDTO
{
    /**
     * @param \Kalnoy\Nestedset\Collection $collection
     *
     * @return array
     */
    public static function fromCollection(Collection $collection): array
    {
        return $collection->map(function (Sekcia $sekcia) {
            return SekciaDTO::fromModel($sekcia);
        })->toArray();
    }
}
